Lease To Partner¶
Lease To Partner - Getlease To Partner¶
HTTP Request
GET /api/lease-to-partners/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "partnerId": 0,
10 "partnerRoleId": 0,
11 "dateFrom": "2019-08-24",
12 "dateTo": "2019-08-24",
13 "leaseId": 0,
14 "leaseExternalId": "string",
15 "partner": {
16 "id": 0,
17 "displayId": "string",
18 "status": "CREATED",
19 "name": "string",
20 "erpSystemDisplayId": "string"
21 },
22 "partnerParent": {
23 "id": 0,
24 "displayId": "string",
25 "status": "CREATED",
26 "name": "string",
27 "erpSystemDisplayId": "string"
28 },
29 "partnerRole": {
30 "id": 0,
31 "displayId": "string",
32 "status": "CREATED",
33 "name": "string"
34 }
35}
Lease To Partner - Updatelease To Partner¶
HTTP Request
PUT /api/lease-to-partners/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
body |
body |
true |
none |
Body Parameters
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "partnerId": 0,
10 "partnerRoleId": 0,
11 "dateFrom": "2019-08-24",
12 "dateTo": "2019-08-24",
13 "leaseId": 0,
14 "leaseExternalId": "string",
15 "partner": {
16 "id": 0,
17 "displayId": "string",
18 "status": "CREATED",
19 "name": "string",
20 "erpSystemDisplayId": "string"
21 },
22 "partnerParent": {
23 "id": 0,
24 "displayId": "string",
25 "status": "CREATED",
26 "name": "string",
27 "erpSystemDisplayId": "string"
28 },
29 "partnerRole": {
30 "id": 0,
31 "displayId": "string",
32 "status": "CREATED",
33 "name": "string"
34 }
35}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "partnerId": 0,
10 "partnerRoleId": 0,
11 "dateFrom": "2019-08-24",
12 "dateTo": "2019-08-24",
13 "leaseId": 0,
14 "leaseExternalId": "string",
15 "partner": {
16 "id": 0,
17 "displayId": "string",
18 "status": "CREATED",
19 "name": "string",
20 "erpSystemDisplayId": "string"
21 },
22 "partnerParent": {
23 "id": 0,
24 "displayId": "string",
25 "status": "CREATED",
26 "name": "string",
27 "erpSystemDisplayId": "string"
28 },
29 "partnerRole": {
30 "id": 0,
31 "displayId": "string",
32 "status": "CREATED",
33 "name": "string"
34 }
35}
Lease To Partner - Deletelease To Partner¶
HTTP Request
DELETE /api/lease-to-partners/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
204 |
No Content |
None |
Lease To Partner - Archivelease To Partner¶
HTTP Request
POST /api/lease-to-partners/{id}/archive
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "partnerId": 0,
10 "partnerRoleId": 0,
11 "dateFrom": "2019-08-24",
12 "dateTo": "2019-08-24",
13 "leaseId": 0,
14 "leaseExternalId": "string",
15 "partner": {
16 "id": 0,
17 "displayId": "string",
18 "status": "CREATED",
19 "name": "string",
20 "erpSystemDisplayId": "string"
21 },
22 "partnerParent": {
23 "id": 0,
24 "displayId": "string",
25 "status": "CREATED",
26 "name": "string",
27 "erpSystemDisplayId": "string"
28 },
29 "partnerRole": {
30 "id": 0,
31 "displayId": "string",
32 "status": "CREATED",
33 "name": "string"
34 }
35}
Lease To Partner - Get Lease To Partners¶
HTTP Request
GET /api/lease-to-partners
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
true |
none |
|
partner-id |
query |
string |
false |
none |
partner-role-id |
query |
string |
false |
none |
partner-role-id-in |
query |
string |
false |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "_embedded": {
3 "leaseToPartners": [
4 {
5 "createdBy": "string",
6 "lastModifiedBy": "string",
7 "createdDate": "2019-08-24T14:15:22Z",
8 "lastModifiedDate": "2019-08-24T14:15:22Z",
9 "archived": true,
10 "externalId": "string",
11 "id": 0,
12 "partnerId": 0,
13 "partnerRoleId": 0,
14 "dateFrom": "2019-08-24",
15 "dateTo": "2019-08-24",
16 "leaseId": 0,
17 "leaseExternalId": "string",
18 "partner": {
19 "id": 0,
20 "displayId": "string",
21 "status": "CREATED",
22 "name": "string",
23 "erpSystemDisplayId": "string"
24 },
25 "partnerParent": {
26 "id": 0,
27 "displayId": "string",
28 "status": "CREATED",
29 "name": "string",
30 "erpSystemDisplayId": "string"
31 },
32 "partnerRole": {
33 "id": 0,
34 "displayId": "string",
35 "status": "CREATED",
36 "name": "string"
37 }
38 }
39 ]
40 },
41 "page": {
42 "size": 0,
43 "totalElements": 0,
44 "totalPages": 0,
45 "number": 0
46 }
47}